Last Comment Bug 535594 - Fix/Clean-up 'security.enable_java' preference references
: Fix/Clean-up 'security.enable_java' preference references
Status: VERIFIED FIXED
:
Product: Core
Classification: Components
Component: Plug-ins (show other bugs)
: Trunk
: All All
: -- trivial (vote)
: mozilla14
Assigned To: Pranav Ravichandran [:pranavrc]
:
: Benjamin Smedberg [:bsmedberg]
Mentors:
Depends on: 521673 517355
Blocks: 322778 512378 521624
  Show dependency treegraph
 
Reported: 2009-12-17 10:01 PST by Serge Gautherie (:sgautherie)
Modified: 2012-03-22 21:24 PDT (History)
8 users (show)
ryanvm: in‑testsuite-
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
Cleaned up security.enable_java references (2.16 KB, patch)
2011-12-23 05:59 PST, Pranav Ravichandran [:pranavrc]
benjamin: review+
Details | Diff | Splinter Review

Description Serge Gautherie (:sgautherie) 2009-12-17 10:01:28 PST
http://mxr.mozilla.org/mozilla-central/search?string=security.enable_java&case=on
"Found 2 matching lines in 2 files"
It looks like further cleanup should be done.

http://mxr.mozilla.org/mozilla1.9.2/search?string=security.enable_java&case=on
"Found 6 matching lines in 4 files"
Not sure if the pref should be restored or the code cleaned up.
Comment 1 Serge Gautherie (:sgautherie) 2011-06-25 09:33:04 PDT
(In reply to comment #0)
> http://mxr.mozilla.org/mozilla-central/search?string=security.
> enable_java&case=on
> "Found 2 matching lines in 2 files"

{
/modules/libpref/src/init/all.js
    * line 1853 -- // Note: Does not scan if security.enable_java is not true
/js/src/tests/user.js
    * line 18 -- user_pref("security.enable_java", false);
}
Comment 2 Pranav Ravichandran [:pranavrc] 2011-12-23 05:59:31 PST
Created attachment 584045 [details] [diff] [review]
Cleaned up security.enable_java references
Comment 3 :aceman 2012-03-20 09:18:12 PDT
Comment on attachment 584045 [details] [diff] [review]
Cleaned up security.enable_java references

Forgot to request review?
Comment 4 Ryan VanderMeulen [:RyanVM] 2012-03-21 16:56:54 PDT
https://hg.mozilla.org/integration/mozilla-inbound/rev/0c6934edce58
Comment 5 Marco Bonardo [::mak] 2012-03-22 06:42:22 PDT
https://hg.mozilla.org/mozilla-central/rev/0c6934edce58
Comment 6 Serge Gautherie (:sgautherie) 2012-03-22 21:24:33 PDT
V.Fixed, per MXR search.

Note You need to log in before you can comment on or make changes to this bug.